Name:                castor-maven-plugin
Version:             2.5
Release:             1
Summary:             Maven plugin for Castor XML's code generator
License:             ASL 2.0
URL:                 http://www.mojohaus.org/castor-maven-plugin/
Source0:             https://github.com/mojohaus/castor-maven-plugin/archive/castor-maven-plugin-%{version}.tar.gz
Patch0:              duplicate-descriptors.patch
BuildRequires:       maven-local mvn(commons-io:commons-io) mvn(junit:junit)
BuildRequires:       mvn(org.apache.maven:maven-compat) mvn(org.apache.maven:maven-core)
BuildRequires:       mvn(org.apache.maven:maven-plugin-api) mvn(org.apache.maven:maven-project)
BuildRequires:       mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:       mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:       mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:       mvn(org.apache.maven.shared:maven-plugin-testing-harness)
BuildRequires:       mvn(org.codehaus.castor:castor-codegen) >= 1.3.2-9
BuildRequires:       mvn(org.codehaus.castor:castor-xml-schema) >= 1.3.2-9
BuildRequires:       mvn(org.codehaus.mojo:mojo-parent:pom:)
BuildRequires:       mvn(org.codehaus.plexus:plexus-compiler-api)
BuildRequires:       mvn(org.codehaus.plexus:plexus-utils) mvn(velocity:velocity)
BuildArch:           noarch

%description
The Castor plugin is a Maven plugin that provides the functionality of Castor
XML's code generator for generating Java beans and associated descriptor
classes (required for marshaling to and unmarshaling from XML documents) from
XML Schema files.

%package help
Summary:             Documents for %{name}
Provides:            %{name}-javadoc = %{version}-%{release}
Obsoletes:           %{name}-javadoc < %{version}-%{release}

%description help
This package contains man pages and other related documents for %{name}.

%prep
%setup -q -n castor-maven-plugin-castor-maven-plugin-%{version}
find -name "*.jar" -exec rm {} \;
find -name "*.class" -exec rm {} \;
sed -i 's/\r/\n/g' src/main/java/org/codehaus/mojo/castor/ConvertDTD2XSDMojo.java
%patch0
%pom_add_dep org.apache.maven:maven-core
%pom_add_dep org.apache.maven:maven-compat
%pom_add_dep junit:junit::test

%build
%mvn_build -- -Denforcer.skip=true

%install
%mvn_install

%files -f .mfiles
%license LICENSE.TXT

%files help -f .mfiles-javadoc
%license LICENSE.TXT

%changelog
* Fri Aug 14 2020 leiju <leiju4@huawei.com> - 2.5-1
- Package init
